<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/utiljs.php");
connexion("$db");
$style="arial_sadmin";
opensession("Sadmin",false);
if ($sess_login=='admstats') {
	aneantir_session();
	goto("./index.php");
	}
$PHP_SELF=basename($_SERVER['PHP_SELF']);

function GenPassword($nb_car="8"){
  $chaine  = "aAzZeErRtTyYuUiIoOpP1523468970mMlLkK";
  $chaine .= "jJhHgGfFdDsSqQwWxXcCvVbBnN1523468970";
  $password='';
  while($nb_car != 0) {
    $i = rand(0,71);
    $password .= $chaine[$i];
    $nb_car --;
  }
 return $password ;
}

//Tableau des sécurités
$secureCNIL=Array(
        "AGREMENT_CNIL"=>"<b>La demande d'agrément à la CNIL a été satisfaite :</b>",
        "ENTREE_STRICTE"=>"Pas d'affichage du tableau des établissements en page d'accueil :",
        "IMPOSE_CHGT_MDP"=>"Obligation de changer le mot de passe à la première connexion :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><i>(sera pris en compte après une opération sur les comptes, importation, création, réinitialisation !)</i>",
        "MDP_INIT_GEP"=>"Pas de mots de passe initiaux liés à la date de naissance (mais code complexe lié à l'identifiant GEP) :",
        "PAS_ITEM_MANUEL_GEST"=>"Pas de saisie directe d'items en mode gestion :",
        "PAS_ITEM_MANUEL_ADMIN"=>"Pas de saisie directe d'items en mode admin :",
        "PAS_SAUVE_LOCAL"=>"Sauvegardes SQL non transmises au client (elles restent sur le serveur) :",
        "PAS_IMPORT_EXPORT"=>"Pas d'import/export de résultats élèves :");

getparams(); //on récupère VERSION et DATE et MOIS_RENTREE et le reste

if (!isset($traitaca)) {  //premier passage : on affiche le formulaire
//tableau des mois
$mois=array("1"=>"Janvier","Février","Mars","Avril","Mai","Juin","Juillet","Août","Septembre","Octobre","Novembre","Décembre");

print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?><html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  <title>Options académiques</title>
  <link rel="stylesheet" href="../include/general.css" />
</head>
<body class="arial_sadmin">
     <p class=titre>Options globales</p>
    <form name="formaca" method="post" action="<?php echo "$PHP_SELF?statut=$statut"; ?>" >
    <input type="hidden" name="traitaca" value=1>
    <table border="1" cellspacing="0" bordercolordark="white" bordercolorlight="black" align="center" width="80%">
    <tr><td class="sadmin_light">
         <p align="center"><font color="white" size="3">
         <b>Gestion de l'année scolaire </b></font></p>
        </td>
    </tr>
    <tr><td>
       <p align="right">Premier mois de l'année scolaire&nbsp;&nbsp;
       <SELECT name="mois">
<?php
  //Boucle des mois
  for ($i=1;$i<13;$i++) {
    $sel=($MOIS_RENTREE==$i) ? "selected" : "";
    print "<option value=\"$i\" $sel>".$mois[$i]."</OPTION>\n";
    }
  ?>
    </SELECT><p><td><tr>
    <tr><td><p align="right">Adresse de messagerie du Super Admin de <?php print $MODULE; ?> :&nbsp;&nbsp;
        <input type="text" name="mail" size=35 <?php if (isset($MAIL_ADMIN)) print "value=\"$MAIL_ADMIN\""; ?> >
    <br><i> (pour les requêtes de fonctionnement) </i>
    </p></td></tr>
    <tr><td><p align="right">Adresse de messagerie du Service Responsable de <?php print $MODULE; ?> :&nbsp;&nbsp;
        <input type="text" name="mail_resp" size=35 <?php if (isset($MAIL_RESP)) print "value=\"$MAIL_RESP\""; ?> >
    <br><i> (pour les requêtes institutionnelles, les demandes CNIL etc..)</i>
    </p></td></tr>

    <tr><td><p align="right">Adresse postale du service <?php print $MODULE; ?> (par ex. Rectorat) :&nbsp;&nbsp;
        <input type="text" name="ptt" size=75 <?php if (isset($PTT_RESP)) print "value=\"$PTT_RESP\""; ?> >
    </p></td></tr>
    <tr><td><p>&nbsp;</p></td></tr>
	<tr><td class="sadmin_light">
         <p align="center"><font color="white" size="3"><b>URL diverses</b></font></p>
        </td></tr>    
    <tr><td><p align="right">URL du lien des pages d'accueil (par ex. site académique) :&nbsp;&nbsp;
        <input type="text" name="urlaca" size=75 <?php if (isset($URL_ACAD)) print "value=\"$URL_ACAD\""; ?> >
    </p></td></tr>
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td >
       <p align="right">URL d'aide pour les élèves&nbsp;:&nbsp;
       <input type="text" name="URLAIDEELEVE" <?php if (@$URL_AIDE_ELEVE!="") echo "value=\"$URL_AIDE_ELEVE\"";  ?>  size=75 maxlength=100>&nbsp;
       </p></tr>
    <tr><td >
       <p align="right">URL d'aide pour les professeurs&nbsp;:&nbsp;
       <input type="text" name="URLAIDEPROF" <?php if (@$URL_AIDE_PROF!="") echo "value=\"$URL_AIDE_PROF\"";  ?>  size=75 maxlength=100>&nbsp;
       </p></tr>    
      <tr><td >
       <p align="right">URL d'aide pour les administrateurs&nbsp;:&nbsp;
       <input type="text" name="URLAIDEADMIN" <?php if (@$URL_AIDE_ADMIN!="") echo "value=\"$URL_AIDE_ADMIN\"";  ?>  size=75 maxlength=100>&nbsp;
       </p></tr>    
   <tr><td><p>&nbsp;</p></td></tr>       
    <tr><td class="sadmin_light">
         <p align="center"><font color="white" size="3">
         <b>Gestion de la sécurité (coché=sécurité renforcée)</b></font></p>
        </td>
    </tr>
<?php
foreach($secureCNIL as $key => $comment) {
  $check=((isset($$key)) && ($$key==1)) ? "checked" : "" ;
  print  "<tr><td><p align=\"right\">".$comment."&nbsp;&nbsp;\n";
  print "<input type=\"checkbox\" name=\"CB_".$key."\" ".$check.">\n";
  print "</p></td></tr>\n";
}

?>


    <tr><td><p align="right">Longueur minimale du mot de passe pour tout le site (0 = désactivé) :&nbsp;&nbsp;
        <input type="text" name="mdpmini" size=1 maxlength=1 <?php if (isset($MDP_MINI)) print "value=\"$MDP_MINI\""; else print "value=0"; ?> >
    </p></td></tr>
    <tr><td><p align="right">Les admins ne peuvent pas choisir un time-out de session utilisateur inférieur à <sup>(1)</sup> :&nbsp;&nbsp;
        <input type="text" name="timeout_min" size=4 maxlength=5 <?php if (isset($SESS_TIMEOUT_MIN)) print "value=\"$SESS_TIMEOUT_MIN\""; else print "value=\"600\""; ?> >
    </p></td></tr>
    <tr><td><p align="right">Les admins ne peuvent pas choisir un time-out de session utilisateur supérieur à <sup>(1)</sup> :&nbsp;&nbsp;
        <input type="text" name="timeout_max" size=4 maxlength=5 <?php if (isset($SESS_TIMEOUT_MAX)) print "value=\"$SESS_TIMEOUT_MAX\""; else print "value=\"7200\""; ?> >
    </p></td></tr>

    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td><p align="right">La simplification des items par les administrateurs locaux est possible :&nbsp;&nbsp;
        <input type="checkbox" name="CB_SIMPLITEM" <?php if (isset($SIMPLITEM) && ($SIMPLITEM==1)) print "checked"; ?> value=1 >
    </p></td></tr>
    <tr><td><p align="right">La restauration d'une sauvegarde antérieure par les administrateurs locaux est possible :&nbsp;&nbsp;
        <input type="checkbox" name="CB_RESTORE" <?php if (isset($ADM_RESTORE) && ($ADM_RESTORE==1)) print "checked"; ?> value=1 >
    </p></td></tr>
    <tr><td><p align="right">L'accès à l'INE des élèves pour les administrateurs locaux est possible :&nbsp;&nbsp;
        <input type="checkbox" name="CB_INE_ELEVE" <?php if (isset($ADM_INE) && ($ADM_INE==1)) print "checked"; ?> value=1 >
    </p></td></tr>    
    <tr><td><p>&nbsp;</p></td></tr>
    <tr><td class="sadmin_light">
         <p align="center"><font color="white" size="3">
         <b>Compl&eacute;ments</b></font></p>
        </td>
    </tr>    
	<tr><td><p align="right">Activation du compte <b>admstats</b> (acc&egrave;s page sadmin avec uniquement les stats) :&nbsp;&nbsp;
        <input type="checkbox" name="CB_ADMSTATS" <?php if (isset($ADMSTATS) && ($ADMSTATS==1)) print "checked"; ?> value=1 >
    </p></td></tr>
	
	<tr><td><p align="right">Délai (en jours) entre deux recherches d'existence de mises à jour (0 = pas de recherche);&nbsp;&nbsp;
        <input type="text" name="CB_FREQMAJ" size=3 maxlength=3 <?php if (isset($HTTP_FREQ_MAJ)) print "value=\"$HTTP_FREQ_MAJ\""; else print "value=0"; ?> />
    </p></td></tr>
    
	<tr><td><p>&nbsp;</p></td></tr>
    <tr><td align="center">
            <input type="submit" class="coul" name="btn_sauver" value="Enregistrement des paramètres">
            <input type="reset" class="coul" name="btn_reset" value="Valeurs précédentes">
        </td>
    </tr>
    <tr><td align="center">
            <input type="submit" class="coul" name="btn_retour" value="Retour sans enregistrement">
        </td>
    </tr>
     </table>
     </form>

    <p style="font-size: small;text-align: left;"><sup>(1)</sup> : <i>Dans chaque établissement, l'admin peut choisir
    la durée maximale entre deux demandes de pages par l'utilisateur (cette durée est
    appelée ici abusivement time-out de session). Les valeurs indiquées ici en secondes
    permettent de limiter ce time-out de façon que l'admin ne choisisse pas des
    valeurs déraisonnables. Valeurs d'origine : 10 minutes et 2 heures.</i>
    </p>
<?php        }

else { //traitement formulaire
    //========================
    
  if (isset($btn_sauver)) {
      $sqlsauve="UPDATE _params_globaux SET param_val=".seci($mois )." ".
                 " WHERE param_nom='MOIS_RENTREE' ;";
      query($sqlsauve);
      if (isset($MAIL_ADMIN)) {
        $sqlsauve_mail="UPDATE _params_globaux SET param_val='".secs($mail)."' ".
                       " WHERE param_nom='MAIL_ADMIN' ;";
        query($sqlsauve_mail);
        }
      else {
        $sqlsauve_mail="INSERT INTO _params_globaux ".
               " SET  param_nom='MAIL_ADMIN', ".
               "   param_type='s' , ".
               "   param_val='".secs($mail)."' , ".
               "   param_desc='Adresse de messagerie de sadmin'";
         query($sqlsauve_mail);
         }
      if (isset($MAIL_RESP)) {
        $sqlsauve_mail="UPDATE _params_globaux SET param_val='".secs($mail_resp)."' ".
                       " WHERE param_nom='MAIL_RESP' ;";
        query($sqlsauve_mail);
        }
      else {
        $sqlsauve_mail="INSERT INTO _params_globaux ".
               " SET  param_nom='MAIL_RESP', ".
               "   param_type='s' , ".
               "   param_val='".secs($mail_resp)."' , ".
               "   param_desc='Adresse de messagerie du Responsable $MODULE'";
         query($sqlsauve_mail);
         }
      if (isset($PTT_RESP)) {
        $sqlsauve_resp="UPDATE _params_globaux SET param_val='".secs($ptt)."' ".
                       " WHERE param_nom='PTT_RESP' ;";
        query($sqlsauve_resp);
      }
      else {
        $sqlsauve_resp="INSERT INTO _params_globaux ".
               " SET  param_nom='PTT_RESP', ".
               "   param_type='s' , ".
               "   param_val='".secs($ptt)."' , ".
               "   param_desc='Adresse postale du Responsable $MODULE'";
         query($sqlsauve_resp);
         }
      if (isset($URL_ACAD)) {
        $sqlsauve_url="UPDATE _params_globaux SET param_val='".secs($urlaca)."' ".
                       " WHERE param_nom='URL_ACAD' ;";
        query($sqlsauve_url);
      }
      else {
        $sqlsauve_url="INSERT INTO _params_globaux ".
               " SET  param_nom='URL_ACAD', ".
               "   param_type='s' , ".
               "   param_val='".secs($urlaca)."' , ".
               "   param_desc='URL du lien des pages accueil'";
         query($sqlsauve_url);
         }
       if (isset($URL_AIDE_ELEVE)) {
       	 if (strtoupper(substr($URL_AIDE_ELEVE,0,7))!="HTTP://")  $URL_AIDE_ELEVE="http://".$URL_AIDE_ELEVE;
         $sqlsauve_url="UPDATE _params_globaux SET param_val='".secs($URLAIDEELEVE)."' ".
                       " WHERE param_nom='URL_AIDE_ELEVE' ;";
         query($sqlsauve_url);
      }
      else {
         $sqlsauve_url="INSERT INTO _params_globaux ".
               " SET  param_nom='URL_AIDE_ELEVE', ".
               "   param_type='s' , ".
               "   param_val='".secs($URLAIDEELEVE)."' , ".
               "   param_desc='URL aide élève'";
         query($sqlsauve_url);
         }
       if (isset($URL_AIDE_PROF)) {
       	 if (strtoupper(substr($URL_AIDE_PROF,0,7))!="HTTP://")  $URL_AIDE_PROF="http://".$URL_AIDE_PROF;
       
         $sqlsauve_url="UPDATE _params_globaux SET param_val='".secs($URLAIDEPROF)."' ".
                       " WHERE param_nom='URL_AIDE_PROF' ;";
         query($sqlsauve_url);
      }
      else {
         $sqlsauve_url="INSERT INTO _params_globaux ".
               " SET  param_nom='URL_AIDE_PROF', ".
               "   param_type='s' , ".
               "   param_val='".secs($URLAIDEPROF)."' , ".
               "   param_desc='URL aide professeur'";
         query($sqlsauve_url);
         }
       if (isset($URL_AIDE_ADMIN)) {
         if (strtoupper(substr($URL_AIDE_ADMIN,0,7))!="HTTP://")  $URL_AIDE_ADMIN="http://".$URL_AIDE_ADMIN;
	     $sqlsauve_url="UPDATE _params_globaux SET param_val='".secs($URLAIDEADMIN)."' ".
                       " WHERE param_nom='URL_AIDE_ADMIN' ;";
         query($sqlsauve_url);
      }
      else {
        $sqlsauve_url="INSERT INTO _params_globaux ".
               " SET  param_nom='URL_AIDE_ADMIN', ".
               "   param_type='s' , ".
               "   param_val='".secs($URLAIDEADMIN)."' , ".
               "   param_desc='URL aide admin'";
         query($sqlsauve_url);
         }       
         
         

      //Paramètres de sécurité
      foreach($secureCNIL as $key => $comment) {
            $CBox="CB_".$key;
            if (isset($$CBox)) $$CBox=bool($$CBox); else $$CBox=0;
            if (isset($$key)) {
              $sqlsauve="UPDATE _params_globaux SET param_val='".$$CBox."' ".
                                " WHERE param_nom='".secs($key)."'";
              query($sqlsauve);
            }
            else {
              //$comment=addslashes($comment);
              $sqlsauve="INSERT INTO _params_globaux ".
                    " SET  param_nom='".secs($key)."', ".
                    "   param_type='i' , ".
                    "   param_val=".$$CBox." , ".
                    "   param_desc='".secs($comment)."'";
              query($sqlsauve);
            }
      } //Fin foreach

      //Securité :
      //Si on oblige au chgt de mdp au 1° login, il faut changer la val par défaut de 'actif' de comptes
     if  ($CB_IMPOSE_CHGT_MDP==1)
         query("ALTER TABLE `comptes` CHANGE `actif` `actif` INT( 11 ) DEFAULT '0' NOT NULL");
     else
             query("ALTER TABLE `comptes` CHANGE `actif` `actif` INT( 11 ) DEFAULT '1' NOT NULL");

      //Longueur mini du mdp
      if (isset($MDP_MINI))
          $sqlsauve="UPDATE _params_globaux SET param_val='".seci($mdpmini)."' ".
                    " WHERE param_nom='MDP_MINI' ;";
      else
          $sqlsauve="INSERT INTO _params_globaux
                    SET  param_nom='MDP_MINI',
                    param_type='i' ,
                    param_val='".seci($mdpmini)."' ,
                    param_desc='Longueur minimale du mot de passe'";
      query($sqlsauve);

      //fourchette time-out session
      if (isset($SESS_TIMEOUT_MIN))
          $sqlsauve="UPDATE _params_globaux SET param_val='".seci($timeout_min)."'
                     WHERE param_nom='SESS_TIMEOUT_MIN' ;";
      else
          $sqlsauve="INSERT INTO _params_globaux
                    SET  param_nom='SESS_TIMEOUT_MIN',
                    param_type='i' ,
                    param_val='".seci($SESS_TIMEOUT_MIN)."' ,
                    param_desc='Durée minimale entre 2 pages'";
      query($sqlsauve);

      if (isset($SESS_TIMEOUT_MAX))
          $sqlsauve="UPDATE _params_globaux SET param_val='".seci($timeout_max)."'
                     WHERE param_nom='SESS_TIMEOUT_MAX' ;";
      else
          $sqlsauve="INSERT INTO _params_globaux
                    SET  param_nom='SESS_TIMEOUT_MAX',
                    param_type='i' ,
                    param_val='".seci($SESS_TIMEOUT_MAX)."' ,
                    param_desc='Durée maximale entre 2 pages'";
      query($sqlsauve);

      //On peut simplifier les items ?
      if (!isset($CB_SIMPLITEM)) $CB_SIMPLITEM=0;
      if (isset($SIMPLITEM)) {
          $sqlsauve="UPDATE _params_globaux SET param_val=".seci($CB_SIMPLITEM )." ".
                    " WHERE param_nom='SIMPLITEM';";
          //alert($sqlsauve);
          }
      else
          $sqlsauve="INSERT INTO _params_globaux SET  param_nom='SIMPLITEM',
                    param_type='i' ,
                    param_val=".seci($CB_SIMPLITEM )." ,
                    param_desc='Les admins peuvent simplifier les items'";
      query($sqlsauve);

      //On peut restaurer dans les bahuts ?
      if (!isset($CB_RESTORE)) $CB_RESTORE=0; else $CB_RESTORE=1;
      if (isset($ADM_RESTORE)) {
          $sqlsauve="UPDATE _params_globaux SET param_val=".seci($CB_RESTORE )." ".
                    " WHERE param_nom='ADM_RESTORE'";
          //alert($sqlsauve);
          }
    else
          $sqlsauve="INSERT INTO _params_globaux SET  param_nom='ADM_RESTORE',
                    param_type='i' ,
                    param_val=".seci($CB_RESTORE )." ,
                    param_desc='Les admins peuvent restaurer une sauvegarde antérieure'";
	query($sqlsauve);
	//AFFICHAGE INE PAR LES (VRAIS) ADMINS
	if (!isset($CB_INE_ELEVE)) $CB_INE_ELEVE=0; else $CB_INE_ELEVE=1;
      if (isset($ADM_INE)) {
          $sqlsauve="UPDATE _params_globaux SET param_val=".seci($CB_INE_ELEVE).
                    " WHERE param_nom='ADM_INE'";
          //alert($sqlsauve);
          }
    else
          $sqlsauve="INSERT INTO _params_globaux SET  param_nom='ADM_INE',
                    param_type='i' ,
                    param_val=".seci($CB_INE_ELEVE)." ,
                    param_desc='Les admins peuvent lire modifier l INE eleve'";
	query($sqlsauve);
	
	//COMPTE ADMSTATS
	if (!isset($CB_ADMSTATS)) $CB_ADMSTATS=0; else $CB_ADMSTATS=1;
      //Creation $ADMSTATS dans les params_globaux
	if (!isset($ADMSTATS)) {
	  		query("INSERT INTO _params_globaux SET  param_nom='ADMSTATS',
                    param_type='i' ,
                    param_val=0 ,
                    param_desc='Utilisation d un compte admstats'");
            $ADMSTATS=0;
            session_puts('ADMSTATS');
            }

     //Plus que 2 cas de figure ! 
	if (($ADMSTATS==0) AND ($CB_ADMSTATS==1)) {
      //Virer éventuel compte admstats avant de le refaire
      query("DELETE FROM comptes WHERE login='admstats' AND statut='Sadmin'");
      //Générer un mdp pour admstats
      $mdpadmstats=GenPassword(10);
			$sqlsauve="INSERT INTO comptes SET login='admstats', 
					mdp=MD5('".secs($mdpadmstats)."'), statut='Sadmin', actif=1, nbsessions=0, etab_id=0";	
			query($sqlsauve);
			query("UPDATE _params_globaux SET param_val=".seci($CB_ADMSTATS ).
                    " WHERE param_nom='ADMSTATS'");
			}
		
	if (($ADMSTATS==1) AND ($CB_ADMSTATS==0))	{
			//Virer le compte admstats
      query("DELETE FROM comptes WHERE login='admstats' AND statut='Sadmin'");
			//Mettre à jour la variable
			$sqlsauve="UPDATE _params_globaux SET param_val=".seci($CB_ADMSTATS ).
                    " WHERE param_nom='ADMSTATS'";
			query($sqlsauve);
			}
	//Accès aux stats par professeur ?
      if (!isset($CB_STATSPROFS)) $CB_STATSPROFS=0;
      if (isset($STATSPROFS)) {
          $sqlsauve="UPDATE _params_globaux SET param_val=".seci($CB_STATSPROFS )." ".
                    " WHERE param_nom='STATSPROFS';";
          //alert($sqlsauve);
          }
      else
          $sqlsauve="INSERT INTO _params_globaux SET  param_nom='STATSPROFS',
                    param_type='i' ,
                    param_val=".seci($CB_STATSPROFS )." ,
                    param_desc='Acces Sadmin ou admstats aux validations par professeur'";
      query($sqlsauve);		
			
	if (!isset($HTTP_FREQ_MAJ) || $HTTP_FREQ_MAJ!=$CB_FREQMAJ) {
		$CB_FREQMAJ= (int) $CB_FREQMAJ;
		query("UPDATE _params_globaux SET param_val='".seci($CB_FREQMAJ)."' 
                     WHERE param_nom='HTTP_FREQ_MAJ'");
        }

      //on peut envoyer la purée HTML à partir de là
      print "<html><head>\n";
      print "<title>Modification des paramètres globaux</title>\n";
      print "<link rel=\"stylesheet\" href=\"../include/general.css\">\n";
      print "</head>";
      print "<body class=\"arial_sadmin\">\n";
      print "<h2 align=\"center\">Modification des paramètres globaux</h2>\n";
      print "<p>&nbsp;</p>\n";
      print "Les nouveaux param&egrave;tres ont &eacute;t&eacute; sauvegard&eacute;s
             avec succ&egrave;s<br>";
      if (isset($mdpadmstats))
	  	print "<br />ATTENTION, le compte <b>admstats</b> a été défini avec le mot de 
		  passe <b>$mdpadmstats</b>, il devra être changé rapidement.".
		  "<br>Il permet de se loger sur la page sadmin pour accéder directement 
		  aux statistiques globales.";
      print "<form name=\"form1\" method=\"post\" action=\"sadmin_bas.php\">";
      print "<p align=\"center\">";
      print "<input type=\"submit\" class=\"coul\" name=\"envoi\" value=\"Suite\">";
      print "</p></form></body></html>";
    
    //Prise en compte des modifs
	getparams();
	}
else {
      $cible="sadmin_bas.php";
      goto($cible);
}
} //fin traitement
 ?>
</body>
</html>